INTEL_PCH_FIFO_UNDER(9)

NAME
intel_pch_fifo_underrun_irq_handler - handle PCH fifo underrun interrupt

SYNOPSIS

void intel_pch_fifo_underrun_irq_handler(struct drm_i915_private * dev_priv, enum transcoder pch_transcoder);

ARGUMENTS

dev_priv
    i915 device instance

pch_transcoder
    the PCH transcoder (same as pipe on IVB and older)

DESCRIPTION

This handles a PCH fifo underrun interrupt, generating an underrun warning into dmesg if underrun reporting is enabled and then disables the underrun interrupt to avoid an irq storm.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT